<?php

use Illuminate\Http\Request;
use App\Providers\RouteServiceProvider as Provider;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::group(["prefix" => "file", 'namespace' => Provider::getNamespace("file")],function(){
    //上传图片
    Route::post("/{uid}/{type}","File@upload");
    //编辑器上传
    Route::post("/editor/{uid}/{action}","File@editorUpload");
});

Route::group(["prefix" => "user", 'namespace' => Provider::getNamespace("member")],function(){
    //获取登录二维码图片
    Route::get("/code/{code?}","User@getLoginImg");
    //获取登录某个二维码状态
    Route::get("/status/{code}","User@getLoginStatus");
    //申请成为摄影师
    Route::post("/apply","User@Apply");
    //获取用户微信openid
    Route::get("/openid/{platform?}","User@getOAuth");
});


Route::group(["prefix" => "article", 'namespace' => Provider::getNamespace("article")],function(){
    //攻略列表
    Route::get ("/"         , "Article@index");
    //改
    Route::put ("/{id}"     , "Article@update")->where(['id' => '\d+']);
    //新增
    Route::post("/"         , "Article@store");
    //详情
    Route::get ("/{id}"     , "Article@show")->where(['id' => '\d+']);
    //关系
    Route::get ("/{id}/relation/{relation}","Article@getRelate")->where(['id' => '\d+','relation'=>'\S+']);
    //隐藏
    Route::put ("/{id}/hidden" , "Article@hidden")->where(['id' => '\d+']);
    //显示
    Route::put ("/{id}/show"   , "Article@display")->where(['id' => '\d+']);
});

Route::group(["prefix" => "works", 'namespace' => Provider::getNamespace("works")],function(){
    //攻略列表
    Route::get ("/"         , "Works@index");
    //改
    Route::put ("/{id}"     , "Works@update")->where(['id' => '\d+']);
    //新增
    Route::post("/"         , "Works@store");
    //详情
    Route::get ("/{id}"     , "Works@show")->where(['id' => '\d+']);
    //关系
    Route::get ("/{id}/relation/{relation}","Works@getRelate")->where(['id' => '\d+','relation'=>'\S+']);
    //隐藏
    Route::put ("/{id}/hidden" , "Works@hidden")->where(['id' => '\d+']);
    //显示
    Route::put ("/{id}/show"   , "Works@display")->where(['id' => '\d+']);
});

Route::group(["prefix" => "keywords", 'namespace' => Provider::getNamespace("keywords")],function(){
    //全部关键词
    Route::get ("/"         , "Keywords@index");
    //热门关键词
    Route::get ("/hot"      , "Keywords@gethot");
});